package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiInspectRecordMapper;
import com.goldenwater.slaj.hazard.domain.TBusiInspectRecord;
import com.goldenwater.slaj.hazard.service.ITBusiInspectRecordService;

/**
 * 巡查记录 服务层实现
 */
@Service
public class TBusiInspectRecordServiceImpl implements ITBusiInspectRecordService {

    @Autowired
    private TBusiInspectRecordMapper tBusiInspectRecordMapper;

    @Override
    public TBusiInspectRecord selectTBusiInspectRecordByGuid(String guid) {
        return tBusiInspectRecordMapper.selectTBusiInspectRecordByGuid(guid);
    }

    @Override
    public List<TBusiInspectRecord> selectTBusiInspectRecordList(TBusiInspectRecord tBusiInspectRecord) {
        return tBusiInspectRecordMapper.selectTBusiInspectRecordList(tBusiInspectRecord);
    }

    @Override
    public int insertTBusiInspectRecord(TBusiInspectRecord tBusiInspectRecord) {
        return tBusiInspectRecordMapper.insertTBusiInspectRecord(tBusiInspectRecord);
    }

    @Override
    public int updateTBusiInspectRecord(TBusiInspectRecord tBusiInspectRecord) {
        return tBusiInspectRecordMapper.updateTBusiInspectRecord(tBusiInspectRecord);
    }

    @Override
    public int deleteTBusiInspectRecordByGuid(String guid) {
        return tBusiInspectRecordMapper.deleteTBusiInspectRecordByGuid(guid);
    }

    @Override
    public int deleteTBusiInspectRecordByGuids(String[] guids) {
        return tBusiInspectRecordMapper.deleteTBusiInspectRecordByGuids(guids);
    }
}
